Subject: Re: [PATCH 2/2] viocons: make powerpc allmodconfig build

From: "Randy.Dunlap" <[email-masked]>
Date: Tue, 17 Oct 2006 18:24:31 -0700

Stephen Rothwell wrote:
> On Tue, 17 Oct 2006 09:50:03 -0700 Randy Dunlap <[email-masked]> wrote:
>> From: Randy Dunlap <[email-masked]>
>>
>> Make allmodconfig .config build successfully by making VIOCONS
>> available only if VT=n.
>> Using PPC_ISERIES in VT prevents kconfig "recursive" warning.
> 
> The problem with this is that we are moving toward being able to build a
> single kernel with PPC_PSERIES and PPC_ISERIES (and others) all defined,
> and this patch will stop Virtual terminal being built in that case.

OK.  Makes sense.  Will you just build VT in that combo *series
config and not build VIOCONS?  If so, that would still fix
"make allmodconfig" to build cleanly (I think).

-- 
~Randy